Index: branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_3/iceini.F90
===================================================================
--- branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_3/iceini.F90	(revision 3614)
+++ branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_3/iceini.F90	(revision 3625)
@@ -10,26 +10,27 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3' :                                   LIM sea-ice model
-   !!----------------------------------------------------------------------
-   !!   ice_init       : sea-ice model initialization
-   !!----------------------------------------------------------------------
-   USE phycst           ! physical constants
-   USE dom_oce          ! ocean domain
-   USE sbc_oce          ! Surface boundary condition: ocean fields
-   USE sbc_ice          ! Surface boundary condition: ice   fields
-   USE ice              ! LIM variables
-   USE par_ice          ! LIM parameters
-   USE dom_ice          ! LIM domain
-   USE thd_ice          ! LIM thermodynamical variables
-   USE limitd_me        ! LIM ice thickness distribution
-   USE limmsh           ! LIM mesh
-   USE limistate        ! LIM initial state
-   USE limrst           ! LIM restart
-   USE limthd           ! LIM ice thermodynamics
-   USE limthd_sal       ! LIM ice thermodynamics: salinity
-   USE limvar           ! LIM variables
-   USE limsbc           ! LIM surface boundary condition
-   USE in_out_manager   ! I/O manager
-   USE lib_mpp          ! MPP library
+   !!   'key_lim3'                                     LIM sea-ice model
+   !!----------------------------------------------------------------------
+   !!   ice_init      : sea-ice model initialization
+   !!----------------------------------------------------------------------
+   USE phycst         ! physical constants
+   USE dom_oce        ! ocean domain
+   USE sbc_oce        ! Surface boundary condition: ocean fields
+   USE sbc_ice        ! Surface boundary condition: ice   fields
+   USE ice            ! LIM variables
+   USE par_ice        ! LIM parameters
+   USE dom_ice        ! LIM domain
+   USE thd_ice        ! LIM thermodynamical variables
+   USE limitd_me      ! LIM ice thickness distribution
+   USE limmsh         ! LIM mesh
+   USE limistate      ! LIM initial state
+   USE limrst         ! LIM restart
+   USE limthd         ! LIM ice thermodynamics
+   USE limthd_sal     ! LIM ice thermodynamics: salinity
+   USE limvar         ! LIM variables
+   USE limsbc         ! LIM surface boundary condition
+   USE in_out_manager ! I/O manager
+   USE lib_mpp        ! MPP library
+   USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
 
    IMPLICIT NONE
@@ -39,5 +40,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/LIM3 4.0 , UCL - NEMO Consortium (2011)
+   !! NEMO/LIM3 3.4 , UCL - NEMO Consortium (2011)
    !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
@@ -79,5 +80,6 @@
       CALL lim_thd_sal_init            ! set ice salinity parameters
       !
-      rdt_ice = nn_fsbc * rdttra(1)    ! sea-ice timestep
+      rdt_ice   = nn_fsbc * rdttra(1)  ! sea-ice timestep
+      r1_rdtice = 1._wp / rdt_ice      ! sea-ice timestep inverse
       !
       CALL lim_msh                     ! ice mesh initialization
Index: branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_3/limadv.F90
===================================================================
--- branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_3/limadv.F90	(revision 3614)
+++ branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_3/limadv.F90	(revision 3625)
@@ -15,12 +15,13 @@
    !!   lim_adv_y  : advection of sea ice on y axis
    !!----------------------------------------------------------------------
-   USE dom_oce          ! ocean domain
-   USE dom_ice          ! LIM-3 domain
-   USE ice              ! LIM-3 variables
-   USE lbclnk           ! lateral boundary condition - MPP exchanges
-   USE in_out_manager   ! I/O manager
-   USE prtctl           ! Print control
-   USE lib_mpp          ! MPP library
-   USE wrk_nemo         ! work arrays
+   USE dom_oce        ! ocean domain
+   USE ice            ! LIM-3 variables
+   USE dom_ice        ! LIM-3 domain
+   USE lbclnk         ! lateral boundary condition - MPP exchanges
+   USE in_out_manager ! I/O manager
+   USE prtctl         ! Print control
+   USE lib_mpp        ! MPP library
+   USE wrk_nemo       ! work arrays
+   USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
 
    IMPLICIT NONE
@@ -37,5 +38,5 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/LIM3 4.0 , UCL - NEMO Consortium (2011)
+   !! NEMO/LIM3 3.4 , UCL - NEMO Consortium (2011)
    !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
@@ -88,5 +89,5 @@
             zs2new  = MIN(  2.0 * zslpmax - 0.3334 * ABS( zs1new ),      &
                &            MAX( ABS( zs1new ) - zslpmax, psxx(ji,jj) )  )
-            zin0    = ( 1.0 - MAX( rzero, sign ( rone, -zslpmax) ) ) * tms(ji,jj)   ! Case of empty boxes & Apply mask
+            zin0    = ( 1.0 - MAX( rzero, SIGN( rone, -zslpmax) ) ) * tms(ji,jj)   ! Case of empty boxes & Apply mask
 
             ps0 (ji,jj) = zslpmax  
@@ -273,5 +274,5 @@
             zs2new  = MIN(  ( 2.0 * zslpmax - 0.3334 * ABS( zs1new ) ),   &
                &             MAX( ABS( zs1new )-zslpmax, psyy(ji,jj) )  )
-            zin0    = ( 1.0 - MAX( rzero, sign ( rone, -zslpmax) ) ) * tms(ji,jj)   ! Case of empty boxes & Apply mask
+            zin0    = ( 1.0 - MAX( rzero, SIGN( rone, -zslpmax) ) ) * tms(ji,jj)   ! Case of empty boxes & Apply mask
             !
             ps0 (ji,jj) = zslpmax  
Index: branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_3/limcons.F90
===================================================================
--- branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_3/limcons.F90	(revision 3614)
+++ branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_3/limcons.F90	(revision 3625)
@@ -10,14 +10,15 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3' :                                   LIM3 sea-ice model
+   !!   'key_lim3'                                      LIM-3 sea-ice model
    !!----------------------------------------------------------------------
-   !!    lim_cons   :   checks whether energy, mass and salt are conserved 
+   !!    lim_cons     :   checks whether energy, mass and salt are conserved 
    !!----------------------------------------------------------------------
-   USE par_ice          ! LIM-3 parameter
-   USE ice              ! LIM-3 variables
-   USE dom_ice          ! LIM-3 domain
-   USE dom_oce          ! ocean domain
-   USE in_out_manager   ! I/O manager
-   USE lib_mpp          ! MPP library
+   USE par_ice        ! LIM-3 parameter
+   USE ice            ! LIM-3 variables
+   USE dom_ice        ! LIM-3 domain
+   USE dom_oce        ! ocean domain
+   USE in_out_manager ! I/O manager
+   USE lib_mpp        ! MPP library
+   USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
 
    IMPLICIT NONE
@@ -29,5 +30,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/LIM3 4.0 , UCL - NEMO Consortium (2011)
+   !! NEMO/LIM3 3.4 , UCL - NEMO Consortium (2011)
    !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_3/limdia.F90
===================================================================
--- branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_3/limdia.F90	(revision 3614)
+++ branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_3/limdia.F90	(revision 3625)
@@ -11,17 +11,18 @@
    !!   'key_lim3'                                       LIM3 sea-ice model
    !!----------------------------------------------------------------------
-   !!   lim_dia        : computation and output of the time evolution of keys variables
-   !!   lim_dia_init   : initialization and namelist read
-   !!----------------------------------------------------------------------
-   USE ice             ! LIM-3: sea-ice variable
-   USE par_ice         ! LIM-3: ice parameters
-   USE dom_ice         ! LIM-3: sea-ice domain
-   USE dom_oce         ! ocean domain
-   USE sbc_oce         ! surface boundary condition: ocean fields
-   USE daymod          ! model calendar
-   USE phycst          ! physical constant
-   USE in_out_manager  ! I/O manager
-   USE lib_mpp         ! MPP library
-   
+   !!   lim_dia       : computation and output of the time evolution of keys variables
+   !!   lim_dia_init  : initialization and namelist read
+   !!----------------------------------------------------------------------
+   USE ice            ! LIM-3: sea-ice variable
+   USE par_ice        ! LIM-3: ice parameters
+   USE dom_ice        ! LIM-3: sea-ice domain
+   USE dom_oce        ! ocean domain
+   USE sbc_oce        ! surface boundary condition: ocean fields
+   USE daymod         ! model calendar
+   USE phycst         ! physical constant
+   USE in_out_manager ! I/O manager
+   USE lib_mpp        ! MPP library
+   USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
+
    IMPLICIT NONE
    PRIVATE
@@ -70,10 +71,11 @@
       !!              the temporal evolution of some key variables
       !!-------------------------------------------------------------------
-      INTEGER  ::   jv, ji, jj, jl   ! dummy loop indices
-      REAL(wp) ::   zshift_date      ! date from the minimum ice extent
-      REAL(wp) ::   zday, zday_min   ! current day, day of minimum extent
-      REAL(wp) ::   zafy, zamy       ! temporary area of fy and my ice
+      INTEGER  ::   jv, ji, jj, jl       ! dummy loop indices
+      INTEGER  ::   ii0, ii1, ij0, ij1   ! temporary integer
+      REAL(wp) ::   zshift_date          ! date from the minimum ice extent
+      REAL(wp) ::   zday, zday_min       ! current day, day of minimum extent
+      REAL(wp) ::   zafy, zamy           ! temporary area of fy and my ice
       REAL(wp) ::   zindb
-      REAL(wp), DIMENSION(jpinfmx) ::   vinfor           ! temporary working space 
+      REAL(wp), DIMENSION(jpinfmx) ::   vinfor   ! 1D workspace 
       !!-------------------------------------------------------------------
 
@@ -105,5 +107,5 @@
             IF( tms(ji,jj) == 1 ) THEN
                vinfor(3)  = vinfor(3)  + at_i(ji,jj)*aire(ji,jj) * 1.e-12_wp !ice area
-               IF (at_i(ji,jj).GT.0.15) vinfor(5) = vinfor(5) + aire(ji,jj) * 1.e-12_wp !ice extent
+               IF ( at_i(ji,jj) > 0.15 )   vinfor(5) = vinfor(5) + aire(ji,jj) * 1.e-12_wp !ice extent
                vinfor(7)  = vinfor(7)  + vt_i(ji,jj)*aire(ji,jj) * 1.e-12_wp !ice volume
                vinfor(9)  = vinfor(9)  + vt_s(ji,jj)*aire(ji,jj) * 1.e-12_wp !snow volume
@@ -111,9 +113,9 @@
                vinfor(29) = vinfor(29) + smt_i(ji,jj)*vt_i(ji,jj)*aire(ji,jj) * 1.e-12_wp !mean salinity
                ! the computation of this diagnostic is not reliable
-               vinfor(31) = vinfor(31) + vt_i(ji,jj)*( u_ice(ji,jj)*u_ice(ji,jj) + & 
-                  v_ice(ji,jj)*v_ice(ji,jj) )*aire(ji,jj)/1.0e12 
-               vinfor(53) = vinfor(53) + emps(ji,jj)*aire(ji,jj) * 1.e-12_wp !salt flux
-               vinfor(55) = vinfor(55) + fsbri(ji,jj)*aire(ji,jj) * 1.e-12_wp !brine drainage flux
-               vinfor(57) = vinfor(57) + fseqv(ji,jj)*aire(ji,jj) * 1.e-12_wp !equivalent salt flux
+               vinfor(31) = vinfor(31) + vt_i(ji,jj) * (  u_ice(ji,jj)*u_ice(ji,jj)   & 
+                  &                                     + v_ice(ji,jj)*v_ice(ji,jj) ) * aire(ji,jj) * 1.e-12 
+               vinfor(53) = vinfor(53) + sfx (ji,jj)*aire(ji,jj) * 1.e-12_wp !salt flux
+               vinfor(55) = vinfor(55) + sfx_bri(ji,jj)*aire(ji,jj) * 1.e-12_wp !brine drainage flux
+               vinfor(57) = vinfor(57) + sfx_thd(ji,jj)*aire(ji,jj) * 1.e-12_wp !equivalent salt flux
                vinfor(59) = vinfor(59) +(sst_m(ji,jj)+rt0)*at_i(ji,jj)*aire(ji,jj) * 1.e-12_wp  !SST
                vinfor(61) = vinfor(61) + sss_m(ji,jj)*at_i(ji,jj)*aire(ji,jj) * 1.e-12_wp  !SSS
@@ -180,5 +182,5 @@
                vinfor(43) = vinfor(43) + diag_dyn_gr(ji,jj)*aire(ji,jj) * 1.e-12_wp 
                vinfor(45) = vinfor(45) + dv_dt_thd(ji,jj,5)*aire(ji,jj) * 1.e-12_wp
-               vinfor(47) = vinfor(47) + v_newice(ji,jj) *aire(ji,jj) * 1.e-12_wp / rdt_ice ! volume acc in OW
+               vinfor(47) = vinfor(47) + v_newice(ji,jj) *aire(ji,jj) * 1.e-12_wp * r1_rdtice   ! volume acc in OW
             ENDIF
          END DO
@@ -231,18 +233,20 @@
       vinfor(51) = zindb*vinfor(51) / MAX(vinfor(27),epsi06)
 
-      !! Fram Strait Export
-      !! 83 = area export
-      !! 84 = volume export
-      !! Fram strait in ORCA2 = 5 points
-      !! export = -v_ice*e1t*ddtb*at_i or -v_ice*e1t*ddtb*at_i*h_i
-      jj = 136 ! C grid
-      vinfor(83) = 0.0
-      vinfor(84) = 0.0
-      DO ji = 134, 138
-         vinfor(83) = vinfor(83) - v_ice(ji,jj) * & 
-            e1t(ji,jj)*at_i(ji,jj)*rdt_ice * 1.e-12_wp
-         vinfor(84) = vinfor(84) - v_ice(ji,jj) * & 
-            e1t(ji,jj)*vt_i(ji,jj)*rdt_ice * 1.e-12_wp
-      END DO
+      IF( cp_cfg == "orca" ) THEN   !* ORCA configuration : Fram Strait Export
+         SELECT CASE ( jp_cfg )
+         CASE ( 2 )                          ! ORCA_R2
+            ij0 = 136   ;   ij1 = 136              ! Fram strait : 83 = area export
+            ii0 = 134   ;   ii1 = 138              !               84 = volume export
+            DO jj = mj0(ij0),mj1(ij1)
+               DO ji = mi0(ii0),mi1(ii1)
+                  vinfor(83) = vinfor(83) - v_ice(ji,jj) * e1t(ji,jj)*at_i(ji,jj)*rdt_ice * 1.e-12_wp
+                  vinfor(84) = vinfor(84) - v_ice(ji,jj) * e1t(ji,jj)*vt_i(ji,jj)*rdt_ice * 1.e-12_wp
+               END DO
+            END DO
+         END SELECT
+!!gm   just above, this is NOT the correct way of evaluating the transport !
+!!gm        mass of snow is missing and v_ice should be the mean between jj and jj+1
+!!gm   Other ORCA configurations should be added
+      ENDIF
 
       !!-------------------------------------------------------------------
@@ -264,7 +268,7 @@
                vinfor(32) = vinfor(32) + vt_i(ji,jj)*( u_ice(ji,jj)*u_ice(ji,jj) + & 
                   v_ice(ji,jj)*v_ice(ji,jj) )*aire(ji,jj)/1.0e12 !ice vel
-               vinfor(54) = vinfor(54) + at_i(ji,jj)*emps(ji,jj)*aire(ji,jj) * 1.e-12_wp ! Total salt flux
-               vinfor(56) = vinfor(56) + at_i(ji,jj)*fsbri(ji,jj)*aire(ji,jj) * 1.e-12_wp ! Brine drainage salt flux
-               vinfor(58) = vinfor(58) + at_i(ji,jj)*fseqv(ji,jj)*aire(ji,jj) * 1.e-12_wp ! Equivalent salt flux
+               vinfor(54) = vinfor(54) + sfx (ji,jj)*aire(ji,jj) * 1.e-12_wp ! Total salt flux
+               vinfor(56) = vinfor(56) + sfx_bri(ji,jj)*aire(ji,jj) * 1.e-12_wp ! Brine drainage salt flux
+               vinfor(58) = vinfor(58) + sfx_thd(ji,jj)*aire(ji,jj) * 1.e-12_wp ! Equivalent salt flux
                vinfor(60) = vinfor(60) +(sst_m(ji,jj)+rt0)*at_i(ji,jj)*aire(ji,jj) * 1.e-12_wp  !SST
                vinfor(62) = vinfor(62) + sss_m(ji,jj)*at_i(ji,jj)*aire(ji,jj) * 1.e-12_wp  !SSS
@@ -331,5 +335,5 @@
                vinfor(44) = vinfor(44) + diag_dyn_gr(ji,jj)*aire(ji,jj) * 1.e-12_wp 
                vinfor(46) = vinfor(46) + dv_dt_thd(ji,jj,5)*aire(ji,jj) * 1.e-12_wp
-               vinfor(48) = vinfor(48) + v_newice(ji,jj) *aire(ji,jj) * 1.e-12_wp / rdt_ice ! volume acc in OW
+               vinfor(48) = vinfor(48) + v_newice(ji,jj) *aire(ji,jj) * 1.e-12_wp * r1_rdtice   ! volume acc in OW
             ENDIF
          END DO
@@ -345,6 +349,6 @@
          END DO
       END DO
-      zindb      = 1.0 - MAX(0.0,SIGN(1.0,-vinfor(4))) !
-      vinfor(64) = zindb * vinfor(64) / MAX(vinfor(4),epsi06) ! divide by ice extt
+      zindb      = 1._wp - MAX(  0._wp , SIGN( 1._wp , -vinfor(4) )  )   !
+      vinfor(64) = zindb * vinfor(64) / MAX( vinfor(4) , epsi06 )   ! divide by ice extt
       !! 2.2) Diagnostics dependent on age
       !!------------------------------------
@@ -368,8 +372,8 @@
                   ENDIF
                END DO ! jl
-               IF ((at_i(ji,jj).GT.0.15).AND.(zafy.GT.zamy)) THEN
+               IF ( at_i(ji,jj)  >  0.15  .AND. zafy  >  zamy ) THEN
                   vinfor(22) = vinfor(22) + aire(ji,jj) * 1.e-12_wp ! Seasonal ice extent
                ENDIF
-               IF ((at_i(ji,jj).GT.0.15).AND.(zafy.LE.zamy)) THEN
+               IF ( at_i(ji,jj)  >  0.15  .AND. zafy <= zamy ) THEN
                   vinfor(24) = vinfor(24) + aire(ji,jj) * 1.e-12_wp ! Perennial ice extent
                ENDIF
@@ -377,8 +381,8 @@
          END DO ! jj
       END DO ! ji
-      zindb      = 1.0 - MAX(0.0,SIGN(1.0,-vinfor(26))) !=0 if no multiyear ice 1 if yes
-      vinfor(50) = zindb*vinfor(50) / MAX(vinfor(26),epsi06)
-      zindb      = 1.0 - MAX(0.0,SIGN(1.0,-vinfor(28))) !=0 if no multiyear ice 1 if yes
-      vinfor(52) = zindb*vinfor(52) / MAX(vinfor(28),epsi06)
+      zindb      = 1.0 - MAX(  0.0,SIGN( 1._wp , -vinfor(26) )  )     !=0 if no multiyear ice 1 if yes
+      vinfor(50) = zindb * vinfor(50) / MAX( vinfor(26) , epsi06 )
+      zindb      = 1.0 - MAX(  0._wp , SIGN( 1._wp , -vinfor(28) )  ) !=0 if no multiyear ice 1 if yes
+      vinfor(52) = zindb * vinfor(52) / MAX( vinfor(28) , epsi06 )
 
       !  Accumulation before averaging 
Index: branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_3/limdyn.F90
===================================================================
--- branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_3/limdyn.F90	(revision 3614)
+++ branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_3/limdyn.F90	(revision 3625)
@@ -15,17 +15,18 @@
    !!    lim_dyn_init : initialization and namelist read
    !!----------------------------------------------------------------------
-   USE phycst           ! physical constants
-   USE dom_oce          ! ocean space and time domain
-   USE sbc_oce          ! Surface boundary condition: ocean fields
-   USE sbc_ice          ! Surface boundary condition: ice   fields
-   USE ice              ! LIM-3 variables
-   USE par_ice          ! LIM-3 parameters
-   USE dom_ice          ! LIM-3 domain
-   USE limrhg           ! LIM-3 rheology
-   USE lbclnk           ! lateral boundary conditions - MPP exchanges
-   USE lib_mpp          ! MPP library
-   USE wrk_nemo         ! work arrays
-   USE in_out_manager   ! I/O manager
-   USE prtctl           ! Print control
+   USE phycst         ! physical constants
+   USE dom_oce        ! ocean space and time domain
+   USE sbc_oce        ! Surface boundary condition: ocean fields
+   USE sbc_ice        ! Surface boundary condition: ice   fields
+   USE ice            ! LIM-3 variables
+   USE par_ice        ! LIM-3 parameters
+   USE dom_ice        ! LIM-3 domain
+   USE limrhg         ! LIM-3 rheology
+   USE lbclnk         ! lateral boundary conditions - MPP exchanges
+   USE lib_mpp        ! MPP library
+   USE wrk_nemo       ! work arrays
+   USE in_out_manager ! I/O manager
+   USE prtctl         ! Print control
+   USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
 
    IMPLICIT NONE
@@ -37,5 +38,5 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/LIM3 4.0 , UCL - NEMO Consortium (2011)
+   !! NEMO/LIM3 3.4 , UCL - NEMO Consortium (2011)
    !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_3/limhdf.F90
===================================================================
--- branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_3/limhdf.F90	(revision 3614)
+++ branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_3/limhdf.F90	(revision 3625)
@@ -12,13 +12,14 @@
    !!   'key_lim3'                                      LIM3 sea-ice model
    !!----------------------------------------------------------------------
-   !!   lim_hdf  : diffusion trend on sea-ice variable
+   !!   lim_hdf       : diffusion trend on sea-ice variable
    !!----------------------------------------------------------------------
-   USE dom_oce          ! ocean domain
-   USE ice              ! LIM-3: ice variables
-   USE lbclnk           ! lateral boundary condition - MPP exchanges
-   USE lib_mpp          ! MPP library
-   USE wrk_nemo         ! work arrays
-   USE prtctl           ! Print control
-   USE in_out_manager   ! I/O manager
+   USE dom_oce        ! ocean domain
+   USE ice            ! LIM-3: ice variables
+   USE lbclnk         ! lateral boundary condition - MPP exchanges
+   USE lib_mpp        ! MPP library
+   USE wrk_nemo       ! work arrays
+   USE prtctl         ! Print control
+   USE in_out_manager ! I/O manager
+   USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
 
    IMPLICIT NONE
@@ -34,5 +35,5 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/LIM3 4.0 , UCL - NEMO Consortium (2010)
+   !! NEMO/LIM3 3.4 , UCL - NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90
===================================================================
--- branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90	(revision 3614)
+++ branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90	(revision 3625)
@@ -26,4 +26,5 @@
    USE lib_mpp          ! MPP library
    USE wrk_nemo         ! work arrays
+   USE lib_fortran      ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
 
    IMPLICIT NONE
@@ -48,5 +49,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/LIM3 4.0 , UCL - NEMO Consortium (2011)
+   !! NEMO/LIM3 3.4 , UCL - NEMO Consortium (2011)
    !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
